---
title: Documentation
---
#Documentation

##Create the live usb version from Windows 1st method

**Advantage**

- The key can boot in BIOS and UEFI.
- You can use the remaining space to store data on your key.
- The persistent partition is in NTFS format which is usable from
        Windows and Linux.
- By copying ISO/IMG files to the NTFS partition they can be launched
        from Grub2 File Manager.
- By copying Porteus modules (.xzm file) to the NTFS partition they can be activated with a double click from Porteus.

**Disadvantage**

- None.

Requirements to create NTFS partition: Windows 10 or higher.

Download Ikki\_Boot.iso
<https://ikkiboot.tuxfamily.org/en/download.html>

Download the portable version of Rufus from the official website
<https://rufus.ie/>

![image](img/win/ikki_boot_rufus.jpg)

Plug in your USB flash drive

Be careful, all the content of the key will be **DELETED** Make a
**BACKUP** of your USB flash drive before

Double click on Rufus to execute it and click on Yes

![image](img/win/rufus_uac.jpg)

Click on Yes to check for application updates online

![image](img/win/rufus_update.jpg)

Click on the select button

![image](img/win/rufus_select.jpg)

Click on Ikki\_Boot.iso then on open

![image](img/win/rufus_select_2.jpg)

Before clicking on ready, check the device size to confirm that the size
matches that of your USB flash drive

![image](img/win/rufus_ready.jpg)

Click on the start button and Check the box Write in DD image mode and
click on ok

![image](img/win/rufus_dd.jpg)

A warning message appears, click on ok

![image](img/win/rufus_warning.jpg)

The image is written on the USB flash drive

![image](img/win/rufus_writing.jpg)

Click on close when the operation is finished

![image](img/win/rufus_finish.jpg)

The following steps require a Windows 10 or higher.

Open the Run menu by pressing the Windows key and the R key
simultaneously

Type diskmgmt.msc and click on Ok

![image](img/diskmgmt/diskmgmt_en.jpg)

Once the utility is open, look for your USB key which appears as a
removable disk, the 1st partition has the name IKKI\_BOOT

On the screenshot : a 7.5 GB USB key

On the 4th partition of your removable drive, right click, the partition
is displayed as "Unallocated", and click on New single volume

![image](img/diskmgmt/diskmgmt_2_en.jpg)

The wizard for creating a simple volume appears, click on next

![image](img/diskmgmt/diskmgmt_3_en.jpg)

Click on next

![image](img/diskmgmt/diskmgmt_4_en.jpg)

Click on next

![image](img/diskmgmt/diskmgmt_5_en.jpg)

In the File System select NTFS and in the Volume Name enter the desired
name for your partition

![image](img/diskmgmt/diskmgmt_6_en.jpg)

Click on Finish to finalize the procedure

![image](img/diskmgmt/diskmgmt_7_en.jpg)

Optional: you can delete the 3rd partition of 2 MB by right clicking
delete volume and confirm with yes

You can now reboot your PC and choose your USB flash drive as the boot
device

##Create the live usb version from Windows 2nd method

**Advantage**

- You can use the remaining space to store data on your key.

**Disadvantage**

- The key can only start in BIOS.
- The key being in FAT32 the maximum size of a file that can be
        stored is 4 GB.

Download Ikki\_Boot.iso.
<https://ikkiboot.tuxfamily.org/en/download.html> Download and install
7-Zip <https://www.7-zip.org/download.html>

![image](img/win/1_recup_usb.jpg)

Decompress with 7zip by right-clicking 7-zip/Extract to Ikki Boot:

![image](img/win/2_decompress.jpg)

Once unzipped, select all files and folders present

![image](img/win/3_selection.jpg)

Make a right click copy :

![image](img/win/4_copier.jpg)

Plug in your USB flash drive and right-click paste to the root :

Your key must be formatted in FAT32

![image](img/win/5_coller_sur_cle.jpg)

On the key open the script folder :

![image](img/win/6_script.jpg)

Launch install\_syslinux\_en.cmd by right-clicking and running as
administrator :

![image](img/win/executer.jpg)

![image](img/win/7_dos.jpg)

Press a key :

![image](img/win/8_install_ok.jpg)

You can now reboot your PC and choose your USB flash drive as the boot
device.

##Create the live USB version from Linux 1st method

**Advantage**

- The key can boot in BIOS and UEFI.
- You can use the remaining space to store data on your key.
- The persistent partition is in NTFS format which can be used
        from Windows and Linux.
- All you have to do is execute a script.
-  By copying ISO/IMG files to the NTFS partition they can be launched
        from Grub2 File Manager.
- By copying Porteus modules (.xzm file) to the NTFS partition they can be activated with a double click from Porteus.

**Disadvantage**

- Nothing

Download Ikki\_Boot.iso
<https://ikkiboot.tuxfamily.org/en/download.html>

Then click on the link
<https://download.tuxfamily.org/ikkiboot/Ikki_USB_Creator_en.txt> and
right-click "Save Page As"

![image](img/linux/sauve_txt.jpg)

You must now have both files in the Downloads folder

![image](img/linux/liste.jpg)

Open a Terminal as root

Move to the directory where the files were downloaded :

    cd /home/julien/Downloads

Rename the file Ikki\_USB\_Creator\_en.txt to Ikki\_USB\_Creator\_en.sh
:

    mv Ikki_USB_Creator_en.txt Ikki_USB_Creator_en.sh

Give the execution rights :

    chmod +x Ikki_USB_Creator_en.sh

![image](img/linux/chmod.jpg)

Plug in your USB key and run Ikki\_USB\_Creator\_en.sh :

    ./Ikki_USB_Creator_en.sh -i Ikki_Boot.iso

Press the letter "y" and press Enter to confirm

Confirm the deletion of your USB key by entering "YES" and press Enter
to validate

![image](img/linux/USB_Creator_1.jpg)

Wait until the procedure is completed

![image](img/linux/USB_Creator_2.jpg)

You can now reboot your PC and choose your USB flash drive as the boot
device.

##Create the live USB version from Linux 2nd method

**Advantage**

- The key can boot in BIOS and UEFI.

**Disadvantage**

- All the disk space of the key is used.

Download Ikki\_Boot.iso
<https://ikkiboot.tuxfamily.org/en/download.html> then open a Terminal
in root

![image](img/linux/ikki_boot_iso.jpg)

Go to the directory where the file was downloaded :

    cd /home/julien/Downloads

Plug in your USB flash drive

Be careful, all the content of the key will be **DELETED** Make a
**BACKUP** of your USB flash drive before

List the devices currently connected :

    fdisk -l

Example with an 16 GB key

Well noted the name of the disk, here /dev/sdb

![image](img/linux/fdisk.jpg)

Check that the name of the disk matches your USB flash drive :

    fdisk -l /dev/sdX

Replace /dev/sdX with the name of your device

![image](img/linux/fdisk2.jpg)

The disk has an available size of 14.3 GB this corresponds well to our
16 GB key

WARNING: Although the process of imaging Ikki Boot onto a USB drive is
very easy, you can just as easily overwrite a disk drive you didn't
intend to with dd if you do not understand what you are doing, or if you
specify an incorrect output path. Double-check what you're doing before
you do it, it'll be too late afterwards.

The **example command** below assumes that the ISO image you're writing
is named "Ikki\_Boot.iso" and is in your current working directory :

    dd if=Ikki_Boot.iso of=/dev/sdX bs=4M status=progress && sync

In the command line /dev/sdb has been replaced by /dev/sdX

![image](img/linux/dd.jpg)

If you see dd: invalid status flag: 'progress', your dd version
doesn't support the status=progress option and you'll need to remove it.
In this case, you won't see writing progress

You can now reboot your PC and choose your USB flash drive as the boot
device

##Create the live USB version from Linux 3rd method

**Advantage**

- You can use the remaining space to store data on your key from
        Linux

**Disadvantage**

- The key can only start in BIOS

Download Ikki\_Boot.iso then open a Terminal in
root

Go to the directory where the ISO file was downloaded and unzip
to a temp folder :

    cd /home/julien/Downloads
    7z x Ikki_Boot.iso -o./temp

![image](img/linux/decompression.jpg)

Plug in your USB flash drive and launch GParted

Select your key in the top right corner (the size of your key will help
you find it)

Example with an 8 GB key

Well noted the name of the partition here /dev/sdc1

![image](img/linux/gparted.jpg)

!!! Please note that the following operations will delete all data from
your USB stick !!!

If your key is already in Ext3 you can skip this step

Right-click on the partition and then Format to Ext3

![image](img/linux/formater.jpg)

Apply All Operations

A message appears reminding you that your USB stick will be deleted

Click on Applys

![image](img/linux/gparted2.jpg)

Right-click on the partition and choose Manage flags, then check
"boot"

![image](img/linux/drapeaux.jpg)

Mount your USB flash drive

Usually it is enough to double click on the icon of the key present on
the desktop.

On the Terminal, enter the following command to verify that the key is
mounted correctly: (replace /dev/sdc1 with the partition name of your
key) :

    mount | grep /dev/sdc1

![image](img/linux/mount.jpg)

You can see that the key is mounted in the /media/julien/Ikki\_Boot
folder

Copy Ikki Boot to your USB stick (replace /media/julien/Ikki\_Boot/ by
the path where your key is mounted) :

    cp -rf temp/* /media/julien/Ikki_Boot/

Move to the linux folder :

    cd temp/script/syslinux/linux/

Write Syslinux MBR on your key

(Please note that you must replace /dev/sdc1 with the partition name of
your key) :

    dd conv=notrunc bs=440 count=1 if=mbr.bin of=/dev/sdc1

![image](img/linux/copie_dd.jpg)

Modify rights to make extlinux executable :

    chmod +x extlinux

Install extlinux on your key

Replace /media/julien/Ikki\_Boot by the path where your key is mounted :

    ./extlinux -i /media/julien/Ikki_Boot/boot/syslinux/

![image](img/linux/extlinux.jpg)

The message "is device /dev/sdc1" confirms that the installation went
well

Detach your USB stick

(replace /media/julien/Ikki\_Boot by the path where your key is mounted)
:

    umount /media/julien/Ikki_Boot/

You can now reboot your PC and choose your USB flash drive as the boot
device

##Create the Live USB version from Linux 4th method

**Advantage**   

- The key can boot in BIOS and UEFI.
- Use of the software Disks (or Gnome-disks).

**Disadvantage**

- All the disk space of the key is used.

Download Ikki\_Boot.iso, plug your USB key then launch gnome-disks.

<https://ikkiboot.tuxfamily.org/en/download.html>

The disk utility opens.

![image](img/linux/gnomes-disks.jpg)

Select your USB drive, you can find it via it's size.     

In the example below we select an 8.1 GB stick.

![image](img/linux/gnomes-disks-2.jpg)

Click on the menu with the 3 small dots on the top right and select "Restore disk image".

![image](img/linux/gnomes-disks-3.jpg)

Click on the line where the word "None" is indicated to select the ISO file.

![image](img/linux/gnomes-disks-4.jpg)

Once the ISO file is selected, click "Open".

![image](img/linux/gnomes-disks-5.jpg)

Click on "Start Restoring".

![image](img/linux/gnomes-disks-6.jpg)

Be careful all the content of your key will be **DELETED**.    
Make a **BACKUP** of your key before any manipulation.

A warning message will appear, click on "Restore".

![image](img/linux/gnomes-disks-7.jpg)

The operation is done.

![image](img/linux/gnomes-disks-8.jpg)

Once the restoration is finished. You can remove your USB key.

![image](img/linux/gnomes-disks-9.jpg)

You can now reboot your PC and choose your USB key as boot device.

##Burn an ISO file

Launch your usual burning software and choose Burn image

Example with Brasero :

![image](img/iso/Brasero.jpg)

Select an ISO file and click Burn

![image](img/iso/Brasero2.jpg)

The operation is performed

![image](img/iso/Brasero3.jpg)

![image](img/iso/Brasero4.jpg)

##Check the health of your hard drive

Start on Ikki Boot and launch GParted

Once started right-click File/System utils to open GSmartControl :

![image](img/gsmartcontrol/gsmartcontrol_menu.jpg)

Select your disk

![image](img/gsmartcontrol/gsmartcontrol.jpg)

Double-click to open the menu and then click the Self-Tests tab to test
your disk

![image](img/gsmartcontrol/gsmartcontrol1.jpg)

Select your test from the Test Type list, the estimated duration is
displayed and click Execute to start the test

Once the test is completed, the Status must display Completed without
error
